fop 1.1

## org.apache.fop.layoutmgr
Interface BreakOpportunity

All Known Implementing Classes:
  BasicLinkLayoutManager, BidiLayoutManager, BlockContainerLayoutManager, BlockLayoutManager, FootnoteLayoutManager, InlineLayoutManager, InlineStackingLayoutManager, LineLayoutManager

    public interface BreakOpportunity

Defines methods to evaluate break opportunities at a particular location in the tree of layout managers.

Method Summary
`int` `getBreakBefore()` Returns the highest priority break-before value on this layout manager or its relevant descendants.

Method Detail

### getBreakBefore

    int getBreakBefore()

  Returns the highest priority break-before value on this layout manager or its relevant descendants.

  Returns:
    the break-before value (Constants.EN_*)

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.